<?php

namespace Brickscore;

function save_checkbox_option($option_name, $checkbox_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['bc-dashboard-form'])) {
        $checkbox_value = isset($_POST[$checkbox_name]) ? 'true' : 'false';
        update_option($option_name, $checkbox_value);
    }

    $checkbox_value = get_option($option_name, 'true');
    return $checkbox_value;
}

$bc_toggle_all_buttons_enable = save_checkbox_option('bc_toggle_all_buttons_enable', 'panelbctoggleallbuttons');

$bc_anyside_button_enable = save_checkbox_option('bc_anyside_button_enable', 'panelbcanysidebutton');
$bc_arrow_button_enable = save_checkbox_option('bc_arrow_button_enable', 'panelbcarrowbutton');
$bc_crystal_button_enable = save_checkbox_option('bc_crystal_button_enable', 'panelbccrystalbutton');
$bc_layer_button_enable = save_checkbox_option('bc_layer_button_enable', 'panelbclayerbutton');
$bc_ripple_button_enable = save_checkbox_option('bc_ripple_button_enable', 'panelbcripplebutton');
$bc_marquee_button_enable = save_checkbox_option('bc_marquee_button_enable', 'panelbcmarqueebutton');
$bc_microbox_button_enable = save_checkbox_option('bc_microbox_button_enable', 'panelbcmicroboxbutton');
$bc_glowing_button_enable = save_checkbox_option('bc_glowing_button_enable', 'panelbcglowingbutton');
$bc_mask_button_enable = save_checkbox_option('bc_mask_button_enable', 'panelbcmaskbutton');
$bc_prism_button_enable = save_checkbox_option('bc_prism_button_enable', 'panelbcprismbutton');
$bc_neumorphic_button_enable = save_checkbox_option('bc_neumorphic_button_enable', 'panelbcneumorphicbutton');