<?php

namespace Brickscore;

function save_checkbox_option($option_name, $checkbox_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['bc-dashboard-form'])) {
        $checkbox_value = isset($_POST[$checkbox_name]) ? 'true' : 'false';
        update_option($option_name, $checkbox_value);
    }

    $checkbox_value = get_option($option_name, 'true');
    return $checkbox_value;
}
function save_select_option($option_name, $select_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $selected_value = isset($_POST[$select_name]) ? sanitize_text_field($_POST[$select_name]) : 'false'; // Cambia 'true' a 'false'
        update_option($option_name, $selected_value);
    }

    $selected_value = get_option($option_name, 'true'); // Cambia 'true' a 'false' para el valor predeterminado
    return $selected_value;
}

$bc_core_animator_enable = save_checkbox_option('bc_core_animator_enable', 'panelbccoreanimator');
$bc_brickscore_animator_theme_enable = save_select_option('bc_brickscore_animator_theme_enable', 'panelbccoreanimatortheme'); //pone los 3 en true
$bc_bricksdark_animator_theme_enable = save_select_option('bc_bricksdark_animator_theme_enable', 'panelbccoreanimatortheme'); //pone los 3 en dark
$bc_brickslight_animator_theme_enable = save_select_option('bc_brickslight_animator_theme_enable', 'panelbccoreanimatortheme'); //pone los 3 en light