<?php
namespace Bricks;
if ( ! defined( 'ABSPATH' ) ) exit;

class Bc_Stripe_MM_DropdownItem extends \Bricks\Element {
  public $name         = 'stripemmdropdownitem';
  public $icon         = 'ti-layout-media-right';
  public $nestable     = true;

  public function get_label() {
    return esc_html__( 'Dropdown', 'bricks' );
  }

  public function set_control_groups() {

  }

  public function set_controls() {

  }

  public function get_nestable_children() {
    return [
        [
            'name'     => 'heading',
            'label'    => esc_html__( 'Heading', 'bricks' ),
            'settings' => [
                'text' => esc_html__( 'Heading', 'bricks' ),
                'tag'  => 'span',
            ],
        ],
    ];
  }
    
  public function render() {
    $settings = $this->settings;

    $this->set_attribute( '_root', 'class', 'bc-stripe__content' );

    $output = "<div class='bc-stripe__dropdown' tabindex='-1'>";
    $output .= "<div {$this->render_attributes( '_root' )}>";
    $output .= Frontend::render_children( $this );
    $output .= '</div>';
    $output .= '</div>';

	echo $output;
  }
}