<?php

namespace Brickscore;

function save_checkbox_option($option_name, $checkbox_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['bc-dashboard-form'])) {
        $checkbox_value = isset($_POST[$checkbox_name]) ? 'true' : 'false';
        update_option($option_name, $checkbox_value);
    }

    $checkbox_value = get_option($option_name, 'true');
    return $checkbox_value;
}

$bc_toggle_all_cores_enable = save_checkbox_option('bc_toggle_all_cores_enable', 'panelbctoggleallcores');

$bc_scrollbar_enable = save_checkbox_option('bc_scrollbar_enable', 'panelbcscrollbar');
$bc_cursor_enable = save_checkbox_option('bc_cursor_enable', 'panelbccursor');
$bc_marquee_enable = save_checkbox_option('bc_marquee_enable', 'panelbcmarquee');
$bc_particles_enable = save_checkbox_option('bc_particles_enable', 'panelbcparticles');
$bc_grained_enable = save_checkbox_option('bc_grained_enable', 'panelbcgrained');
$bc_smooth_scroll_enable = save_checkbox_option('bc_smooth_scroll_enable', 'panelbcsmoothscroll');
$bc_back_to_top_enable = save_checkbox_option('bc_back_to_top_enable', 'panelbcbacktotop');
$bc_sharer_enable = save_checkbox_option('bc_sharer_enable', 'panelbcsharer');
$bc_tippy_enable = save_checkbox_option('bc_tippy_enable', 'panelbctippy');
$bc_glitchy_enable = save_checkbox_option('bc_glitchy_enable', 'panelbcglitchy');
$bc_parallax_enable = save_checkbox_option('bc_parallax_enable', 'panelbcparallax');
$bc_dark_mode_enable = save_checkbox_option('bc_dark_mode_enable', 'panelbcdarkmode');
$bc_image_reveal_enable = save_checkbox_option('bc_image_reveal_enable', 'panelbcimagereveal');
$bc_lottie_enable = save_checkbox_option('bc_lottie_enable', 'panelbclottie');
$bc_zoom_lens_enable = save_checkbox_option('bc_zoom_lens_enable', 'panelbczoomlens');
$bc_expander_enable = save_checkbox_option('bc_expander_enable', 'panelbcexpander');
$bc_core_slider_enable = save_checkbox_option('bc_core_slider_enable', 'panelbccoreslider');
$bc_clickandcopy_enable = save_checkbox_option('bc_clickandcopy_enable', 'panelbcclickandcopy');
$bc_beforeafter_image_enable = save_checkbox_option('bc_beforeafter_image_enable', 'panelbcbeforeafterimage');
$bc_3dhover_enable = save_checkbox_option('bc_3dhover_enable', 'panelbc3dhover');
$bc_video_sequence_enable = save_checkbox_option('bc_video_sequence_enable', 'panelbcvideosequence');
$bc_generatorism_enable = save_checkbox_option('bc_generatorism_enable', 'panelbcgeneratorism');
$bc_image_hotspots_enable = save_checkbox_option('bc_image_hotspots_enable', 'panelbcimagehotspots');
$bc_core_tabs_enable = save_checkbox_option('bc_core_tabs_enable', 'panelbccoretabs');
$bc_spotlight_enable = save_checkbox_option('bc_spotlight_enable', 'panelbcspotlight');
$bc_divider_enable = save_checkbox_option('bc_divider_enable', 'panelbcdivider');
$bc_flipbox_enable = save_checkbox_option('bc_flipbox_enable', 'panelbcflipbox');
$bc_bubbles_enable = save_checkbox_option('bc_bubbles_enable', 'panelbcbubbles');
$bc_observer_enable = save_checkbox_option('bc_observer_enable', 'panelbcobserver');
$bc_drawer_enable = save_checkbox_option('bc_drawer_enable', 'panelbcdrawer');
$bc_codepen_enable = save_checkbox_option('bc_codepen_enable', 'panelbccodepen');